import acm.program.*;
public class ElectionWinners extends ConsoleProgram {
	public void run() {
		while (true) {
			String[] ballots = readBallots();
			String winner = electionWinner(ballots);
			if (winner != null) {
				println("The winner is " + winner);
			} else {
				println("No one won this election.");
			}
		}
	}
	
	/* Maximum number of votes; just here for testing. */
	private static final int MAX_VOTES = 99;
	
	/**
	 * Prompts the user for a list of ballots, returning them as an array.
	 * 
	 * @return A list of ballots.
	 */
	private String[] readBallots() {
		/* Read the number of ballots and set up an array to hold the votes. */
		int numBallots = readInt("Enter number of ballots: ", 0, MAX_VOTES);
		String[] result = new String[numBallots];
		
		/* Read in the vote list. */
		for (int i = 0; i < numBallots; i++) {
			result[i] = readLine("  Enter vote #" + (i + 1) + ": ");
		}
		
		return result;
	}
	
	/**
	 * Given a list of cast ballots, returns who won the election, if anyone did. If no one
	 * won, the method returns null.
	 * 
	 * @param votes The cast votes.
	 * @return The winner, or null if no one won.
	 */
	private String electionWinner(String[] votes) {
		// TODO: Replace this with your implementation.
		return null;
	}
}
